﻿(function (){
    app.beginUndoGroup("WQ");
    
    var mAi = app.project.activeItem;
    var mSl = mAi.selectedLayers[0];
    
    var mLyrs = mAi.layers;
    var mLyrsLgt = mLyrs.length;
    
    var mLyrIdx = mSl.index;
    var mInT = mSl.inPoint;
    var mOutT = mSl.outPoint;
    
    //コンポであればfalseをリターンする。
    //falseをリターンすれば、通常のAEの動作となる。
    var mSlSrc =  mSl.source;
    if( mSlSrc !== null && mSlSrc instanceof CompItem ){
        return false;
    }
    if( mSl instanceof TextLayer ){
        return false;
    }
    

    for(var i = mLyrIdx; i<=mLyrsLgt; i++){
        var mNowLyr = mLyrs[i];
        if( !(mInT <= mNowLyr.inPoint && mNowLyr.outPoint <= mOutT)  ){ break;}        
        mLyrs[i].selected = true;
    }

    app.endUndoGroup();

})();

